<?php

namespace FM\Controller;

use FM\Controller\FMCrud;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DataSource\DataSet;
use FM\Service\RelInsumosEquipService;

class RelInsumosEquipController extends FMCrud{
    protected $dataSourceName = 'fcm_checklistagend';
    protected $RelInsumosEquipService;
   
    public function __construct($crudService, $environment, RelInsumosEquipService $RelInsumosEquipService) {
        parent::__construct($crudService, $environment);
        $this->RelInsumosEquipService = $RelInsumosEquipService;
    }
    public function relacaoInsumos(DTO\Request $request, DTO\Response $response) {
        $params = $request->getParameters();
        $RESPOSTA = $this->RelInsumosEquipService->relacaoInsumos($params);
        $dtsVal = new DataSet('relInsumos', array($RESPOSTA));
        $response->addDataSet($dtsVal);
    }
}

?>